Subject: bug#29839: 26.0; Bad xrefs in (elisp) `Sequence Functions'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Dec 2017 20:40:26 +0200

> Date: Tue, 26 Dec 2017 08:58:49 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > OK.  But can you explain (for my learning) why I saw the
> > > problem earlier for all builds starting with Emacs 24.5
> > > and now I see it only for Emacs 24.5?
> > 
> > No, I can't.  If it's the problem I think you saw, it is fixed in
> > Emacs 25.1 and later.
> > 
> > How sure are you that you indeed tried all the versions, and not just
> > 24.5?  Or maybe you tried that with an old elisp.info?
> 
> What do you mean by "all the versions"?

All the versions of Emacs later than 24.5 that you have on that
system.

> I tried all of the versions that I mentioned, both originally
> and this last time (after you asked to try again).  I am sure
> of that.  And I wouldn't even know how to try "with an old
> elisp.info".  As I said, I used `emacs -Q'.  Could that "try
> with an old elisp.info"?

How did you make sure all the versions of Emacs you tried displayed
the same elisp.info file?  Each Emacs version comes with its own
elisp.info, and you might also have elisp.info files from older
versions.

> I still use Emacs 24.5 much of the time, and I see the problem
> always with that release, both with and without an init file.

With Emacs 24.5, it's expected that you will see the problem.  Your
question was how could that happen with later versions.  I think it
could only happen with later versions if you tried to display
elisp.info which was produced by old versions of makeinfo.